diff -Naur Doomsday Data Files.old/ai/hun_1936.ai Doomsday Data Files/ai/hun_1936.ai
--- Doomsday Data Files.old/ai/hun_1936.ai	2008-12-01 19:17:14.000000000 +0100
+++ Doomsday Data Files/ai/hun_1936.ai	2008-12-01 21:31:17.000000000 +0100
@@ -1,4 +1,5 @@
 # Hungary 1936 AI File by Lothos
+# removed the demanding of claims (DAIM)
 
 switch = no # [yes/no]
 max_front_ratio = 1.2 
@@ -6,15 +7,10 @@
 min_garrison_prop = 0.20
 neutrality = 150 
 war = 1
-upgrading = 0.25
-reinforcement = 0.2
 strat_redeploy_threshold = 25
 exp_force_ratio = 0.0
-exp_force_ratios = {
-	GER = 1.0
-} 
+exp_force_ratios = { } 
 no_exp_forces_to = { JAP SIA MAN VIC ITA ROM SLO BUL YUG FIN }
-use_offensive_supply = no
 
 ###################################
 # Diplomacy
@@ -31,7 +27,7 @@
 	FRA = 1
 }
 demand_claims = {
-	CZE
+#	CZE
 }
 befriend = {
 	GER = 100
@@ -106,48 +102,16 @@
 		1250 = 100
 	}
 }
-###################################
-# Spying
-###################################
-spyprefs =
-{
-	percentage_on_spies 		= 0.2
-	percentage_foreign_mission 	= 0.7
-
-	# Used for Homeland Defense Spying
-	spyprefsdata = 
-	{
-		NumberOfSpies = 3
-		counter_espionage =  10
-		country = HUN
-	}
-	# Defaul Spy parms used for countries the AI is atwar with but has no specific entry
-	spyprefsdata = {
-		country_priorities	= 3
-		NumberOfSpies		= 3
-		min_number_of_spies = 1
-		steal_blueprint 	= 10
-		minister_assassination = 1
-		smear_campaign 		= 3
-		coup 				= 4
-		sabotage_industry 	= 5
-		nuclear_sabotage 	= 0
-		found_partisans 	= 0
-		massmedia 			= 3
-		counter_espionage 	= 5
-		disrupt_techteam	= 5
-		country 			= NONE
-	}
-}
+
 ###################################
 # Construction and Tech Research
 ###################################
 #Default values
 construction = { 
-	max_factor = 0.000 
+	max_factor = 0.050 
 
 
-	AA_batteries = no
+	AA_batteries = atwar
 	max_AA_level = 4 
 	AA_provs = {
 		457 # Budapest
@@ -173,9 +137,9 @@
 	max_land_level = 2
 	fort_borders = { } 
 
-	ic_at_war = no 
+	ic_at_war = yes 
 	force_ic_until = 1935
-	ic_end_year = 1935
+	ic_end_year = 1940
 	IC_provs = {
 		457 # Budapest
 	} 
@@ -188,29 +152,29 @@
 	max_batch_home_front 	= 180
 
 	#### Divisions etc...
-	infantry 		= 64
-	cavalry 		= 0
-	motorized 		= 0
+	infantry 		= 51
+	cavalry 		= 10
+	motorized 		= 10
 	mechanized 		= 0
-	light_armor 	= 0
-	armor 			= 10
+	light_armor 	= 4
+	armor 			= 0
 	paratrooper 	= 0
 	marine 			= 0
-	bergsjaeger 	= 0
-	garrison		= 0
-    hq 				= 4
+	bergsjaeger 	= 8
+	garrison		= 4
+    hq 				= 3
 	militia 		= 0
-#				78 %
-	interceptor 	= 10
+#				90 %
+	interceptor 	= 5
 	multi_role 		= 0
-	cas 			= 7
+	cas 			= 0
 	strategic_bomber = 0
 	tactical_bomber = 5
 	naval_bomber 	= 0
 	transport_plane = 0
 	flying_bomb 	= 0
 	flying_rocket 	= 0
-#				22 %
+#				10 %
 	battleship 		= 0
 	carrier 		= 0
 	escort_carrier	= 0
@@ -219,24 +183,23 @@
 	heavy_cruiser 	= 0
 	battlecruiser 	= 0
 	submarine 		= 0
-	nuclear_submarine = 0
 	transports 		= 0
 #				0 %
 
 	#### Brigades
-	artillery 			= 25
+	artillery 			= 20
 	sp_artillery 		= 0
 	rocket_artillery	= 0
 	sp_rct_artillery 	= 0
-	anti_tank 			= 20
+	anti_tank 			= 8
 	tank_destroyer 		= 0
 	light_armor_brigade	= 0
 	heavy_armor 		= 0
 	super_heavy_armor 	= 0
-	armored_car 		= 8
-	anti_air 			= 0
+	armored_car 		= 0
+	anti_air 			= 5
 	police 				= 0
-	engineer 			= 0 
+	engineer 			= 5 
 
 	cag = 100.000 
 }
@@ -244,63 +207,45 @@
 technology = { 
 	endgoal 	= { } 
 	preference 	= {
-		# Tools
-		5050 5060 5070
-
-		# Engineering
-		5080 5090 5100
-		
-		# Production Control
-		5110 5120
-		
-		# Assembly Line
-		5130 5140 5160 5180
-		
-		# Cryptography
-		5310 5320 5330 5340
-		
-		# Special Weapons
-		7140 7150 7160
-
 		#Infantry
 		1010 1020 1030 1040 1050 1060
 
-		# Medium tanks
-		2070 2080 2090
+		# Arcriculture
+		5020 5030 5040
+
+		# Inf support
+		1310 1320 1330 1340 1350 1360
+
+		# Production
+		5050 5060 5070 5080 5090 5100 5110 5120 5130 5150 5180
+
+		# motorized
+		1230 1240 1250
 
 		# Air Doctrines
 		9040 9050 9060 9080 9100 9110 9120 9130 9140 9190 9200 9210 9220 9230 9240 9250 9260 9270 9280 9290 9300 9310 9320 9330 9340 9350 9360 9370 9380 9390 9400 9410 9420
-
-		# CAS
-		4170 4280 4180
 	} 
 	ignore 		= {
-		# Assembly Line
-		5150 5170
+		# Vehicle Assembly & Rocket Assembly
+		5160 5170
 
 		# Airborne
 		1070 1080 1090 1100
 
-		# Motorized
-		1230 1240 1250
-
-		# Marines
-		1150 1160 1170 1180
-
-		# Cavalry
-		1190 1200 1210 1220
-
 		# Mechanized
 		1260 1270 1280 1290
 
-		# Mountain Unit techs
-		1110 1120 1130 1140
+		# Marines
+		1150 1160 1170 1180
 
 		# Air Transports
 		4250 4260 4270
 
-		# Multirole Fighters
-		4040 4070 4100
+		# Escort/Multirole Fighters
+		4040 4050 4070 4080 4100 4110
+
+		# CAS
+		4170 4280 4180
 
 		# Naval Bomber
 		4190 4200 4210
@@ -317,6 +262,12 @@
 		# Bas Decimetric
 		5410 5420 5430 5440 5450 5460
 
+		# Medium tanks
+		2070 2080 2090
+
+		# Heavy Tanks and Semi-Modern Tank
+		2100 2110 2120 2140
+
 		# Tank destroyers
 		2170 2180 2190 2200 2210
 
@@ -325,29 +276,14 @@
 
 		# SP Rocket Artillery
 		2260 2270 2280 
-		
-		# Static Anti-Air
-		2450 2460 2470 2480 2490 2500
-
-		# Anti Air Brigade
-		2510 2520 2530 2540
-
-		# Rocket Artillery
-		2370 2380 2390
-
-		# Strategic Air Doctrines 9140
-		9150 9160 9170 9180 9430 9440 9450 9460
-
-		# Land Doctrines
-		14080 # Guerilla Warfare
 	}
  
-	armor 		= 3
+	armor 		= 1
 	infantry 	= 5
 	industry 	= 4
 	aircraft 	= 1
 	naval 		= 0
-	land_doctrines 	= 2
+	land_doctrines 	= 1
 	secret_weapons 	= 0
 	air_doctrines 	= 1
 	naval_doctrines = 0
@@ -357,18 +293,19 @@
 # Ground Combat, Leaders and Garrisons
 ###################################
 leader_ratio = {
-	land_field_marshal 	=0.02
-	land_general 		=0.031
-	land_lt_general 	=0.41
-
-	sea_grand_admiral 	=0.02
-	sea_admiral 		=0.061
-	sea_vice_admiral 	=0.401
-
-	air_marshal 		=0.02
-	air_general 		=0.091
-	air_lt_General 		=0.11
+	land_field_marshal	= 0.056 # = 1/18
+	land_general		= 0.074 # = 1/13.5
+	land_lt_general		= 0.333 # = 1/3
+
+	sea_grand_admiral	= 0.033 # = 1/30
+	sea_admiral		= 0.056 # = 1/18
+	sea_vice_admiral	= 0.083 # = 1/12
+
+	air_marshal		= 0.063 # = 1/16
+	air_general		= 0.125 # = 1/8
+	air_lt_General		= 0.250 # = 1/4
 }
+
 garrison = {
 	defend_overseas_beaches = yes
 	home_multiplier 	= 1.0
@@ -448,57 +385,7 @@
 		POL = 100
 	} 
 } 
-###################################
-# Air bombardment and defense
-###################################
-# Air AI File For Ground Bombings as priority
-# bomber is now obsolete and NOT USED AT ALL replace and use Air Marshal instead
 
-air_marshal = {
-	min_mission_strength_org	= 0.8
-	icxdayscostfactor 			= 10.0		# How to value true industrial cost when calculating expect causalties
-	manpowercostfactor			= 100.0		# How to value manpower cost when calculating expect causalties
-	destructionriskthreashold 	= 0.2		# when to fear a divisiopn might be destroyed
-
-	# desirability is a multiplier used when calcualting the mission desirability
-	airsuperioritydesirability 		= 30.0
-	groundattackdesirability 		= 40.0
-	inderdictiondesirability 		= 20.0
-	logisticalstrikedesirability 	= 2.0
-	runwaycrateringdesirability 	= 10.0
-	strategicstrikedesirability 	= 10.0
-	installationstrikedesirability 	= 5.0
-	navalstrikedesirability 		= 15.0
-	portstrikedesirability 			= 9.0
-	convoyraiddesirability			= 9.0
-
-	# tolerance is the required kill:loss ration expected to do 
-	#    mission, 2.0 accept twice the losses of your enemy, 0.5 accept half
-	airsuperioritylosstolerance 	= 1.0
-	groundattacklosstolerance 		= 1.0
-	interdictionlosstolerance 		= 2.0
-	logisticalstrikelosstolerance 	= 0.5
-	runwaycrateringlosstolerance 	= 1.5
-	strategicstriketolerance 		= 4.5
-	installationstriketolerance 	= 1.5
-	navalstriketolerance 			= 1.0
-	portstriketolerance 			= 1.0
-	convoyraidtolerance				= 1.0
-
-	# efficency is a tweakable param to adjust according to how 
-	#    much actual damage comes from doing this mission (not to be confused with desirability)
-	logisticalstrikeefficency 	= 0.01
-	runwaycrateringefficency 	= 0.01
-	strategicstrikeefficency 	= 0.01
-	installationstrikeefficency = 0.01
-
-	taskforcetype = { name = "Air Superiority" desiredratio = 0.400 rangeweight = 10.000 airkillpowerweight = 2000.000 hardkillpowerweight = 0.000 softkillpowerweight = 0.000 navalkillpowerweight = 0.000 strategickillpowerweight = 0.000 transportcapacityweight = -1000000.000 airvulnurabilityweight = -1.000 surfacevulnurabilityweight = 0.000 idle = yes reorganize = yes air_superiority = yes } 
-	taskforcetype = { name = "Soft Bombing" desiredratio = 0.250 rangeweight = 10.000 airkillpowerweight = 0.000 hardkillpowerweight = 0.000 softkillpowerweight = 2000.000 navalkillpowerweight = 0.000 strategickillpowerweight = 0.000 transportcapacityweight = -1000000.000 airvulnurabilityweight = 0.000 surfacevulnurabilityweight = -1.000 idle = yes reorganize = yes interdiction = yes ground_attack = yes } 
-	taskforcetype = { name = "Hard Bombing" desiredratio = 0.100 rangeweight = 10.000 airkillpowerweight = 0.000 hardkillpowerweight = 2000.000 softkillpowerweight = 0.000 navalkillpowerweight = 0.000 strategickillpowerweight = 0.000 transportcapacityweight = -1000000.000 airvulnurabilityweight = 0.000 surfacevulnurabilityweight = -1.000 idle = yes reorganize = yes interdiction = yes ground_attack = yes } 
-	taskforcetype = { name = "Strategic Bombing" desiredratio = 0.100 rangeweight = 10.000 airkillpowerweight = 0.000 hardkillpowerweight = 0.000 softkillpowerweight = 0.000 navalkillpowerweight = 0.000 strategickillpowerweight = 2000.000 transportcapacityweight = -1000000.000 airvulnurabilityweight = -0.500 surfacevulnurabilityweight = -0.500 idle = yes reorganize = yes logistical_strike = yes runway_cratering = yes strategic_bombardment = yes installation_strike = yes } 
-	taskforcetype = { name = "Naval Bombing" desiredratio = 0.050 rangeweight = 10.000 airkillpowerweight = 0.000 hardkillpowerweight = 0.000 softkillpowerweight = 0.000 navalkillpowerweight = 2000.000 strategickillpowerweight = 0.000 transportcapacityweight = -1000000.000 airvulnurabilityweight = 0.000 surfacevulnurabilityweight = -1.000 idle = yes reorganize = yes naval_strike = yes port_strike = yes convoy_air_raiding = yes } 
-	taskforcetype = { name = "Airlift" desiredratio = 0.100 rangeweight = 10.000 airkillpowerweight = 0.000 hardkillpowerweight = -2000.000 softkillpowerweight = -2000.000 navalkillpowerweight = 0.000 strategickillpowerweight = -2000.000 transportcapacityweight = 1000000.000 airvulnurabilityweight = -1.000 surfacevulnurabilityweight = 0.000 idle = yes reorganize = yes airborne_assault = yes air_supply = yes } 
-}
 ###################################
 # Invasions and Naval
 ###################################
@@ -528,4 +415,24 @@
 
 	target = { } 
 	core = { } 
-}
\ No newline at end of file
+}
+
+###################################
+# Intelligence
+###################################
+spyprefs = {
+	percentage_on_spies = 0.2
+	percentage_foreign_mission = 0.7
+
+	spyprefsdata = {
+		country_priorities = 10
+		min_number_of_spies = 5
+		NumberOfSpies = 10
+		counter_espionage = 10
+		country = HUN
+	}
+}
+
+air_marshal = {
+	min_mission_strength_org = 0.7
+}
